Welcome to Open Carnage

A resource for Halo Custom Edition and MCC modding, with unique means of rewarding content creation and support. Have a wander to see why we're worth the time! - EST. 2012

bigblue

Sightjacker

15 posts in this topic

Sapp documentation says to use sj_level [level] to enable/disable sightjacker (from HAC2) - but there's no info to say what the levels are, apart from: Default: -1 (everybody can use sightjacker)

 

What are the other levels and what is the correct level to set that allows only admins to use it ?

 

Thx

 

 

 

Share this post


Link to post
Share on other sites

Tiddy-bits:

Thx.. do you know what all the levels are.. and what they allow ?

Setting sj_level 4 gives an error when restarting the server - retried with sj_level -4 and it appears to work. Assuming then that -4 is for admins only ?

 

It would be good if things were explained more in detail in the guide.

Share this post


Link to post
Share on other sites

-1 means sightjacking is enabled for everyone, 5 means it's disabled. In between -1 and 5 are most likely admin levels. -4 is not a valid parameter and does nothing.

Share this post


Link to post
Share on other sites

That's strange then.. if I use sj_level -1 it works ok - if I use sj_level 4 the server won't even start ?? If I use sj_level -4 the server starts - but with what you're saying, I'm unsure if this is only for admins.

 

Btw I'm using sapp 10.1 - using sapp 10.2.1 doesn't appear to work on Elite Game Servers for some reason. EliteGS support have recommended using 10.1.

 

Thx giraffe for your help :)

 

From sapp 10.0 changelog:

 

Quote

New: sj_level [level(-1-5)] command: This is the unified command that replaces disable_sj and sj_admin_level commands. -1 means sightjacking is enabled for everyone, 5 means it's disabled.

 

Edited by bigblue

Share this post


Link to post
Share on other sites

It worked for me by adding the following line event_start 'sj_level 5'  in events.txt

Edited by mdc81

Share this post


Link to post
Share on other sites

Ok.. adding this to the events file works ok.. thx mdc81 :)

 

I have tried setting -1 and also 5 - they both work as they should.  But.. changing the setting to 2, 3 or 4 however, disables sightjacker - it doesn't allow admin only usage .

 

So I'm assuming that this will only enable or disable sightjacker for everyone and that there is no provision to allow only admins to use it ?

 

Can anyone confirm ?

 

Before sapp 10.0 it was possible to use 'sj_admin_level [level]' to allow only admins to use sightjacker for whatever level that admins had access to, but it was replaced by sj_level [level] and now seems to have been discontinued. Surely there must be a way to allow only admins to use it ?

 

Edited by bigblue

Share this post


Link to post
Share on other sites
On 1/8/2018 at 11:35 AM, bigblue said:

That's strange then.. if I use sj_level -1 it works ok - if I use sj_level 4 the server won't even start ?? If I use sj_level -4 the server starts - but with what you're saying, I'm unsure if this is only for admins.

 

Btw I'm using sapp 10.1 - using sapp 10.2.1 doesn't appear to work on Elite Game Servers for some reason. EliteGS support have recommended using 10.1.

 

Thx giraffe for your help :)

 

From sapp 10.0 changelog:

 

 

sapp 10.2.1 does not work with wine 4.0  5.0  or 6.0

 

Share this post


Link to post
Share on other sites
On 2/19/2021 at 5:04 PM, Denn said:

sapp 10.2.1 does not work with wine 4.0  5.0  or 6.0

 

I thought this to be the case until recently I found this post.

I'm running 10.2.1 on wine 5.0, you also need to run it with a 32 bit wine prefix.

 

I was disappointed for a long time until I ran this workaround, I was doing something crazy like running windows 7 in virtual box from an ubuntu host to run a halo server with sapp to do my development.

Edited by mouseboyx
Enclusion likes this

Share this post


Link to post
Share on other sites
6 hours ago, mouseboyx said:

I thought this to be the case until recently I found this post.

I'm running 10.2.1 on wine 5.0, you also need to run it with a 32 bit wine prefix.

 

I was disappointed for a long time until I ran this workaround, I was doing something crazy like running windows 7 in virtual box from an ubuntu host to run a halo server with sapp to do my development.

ive been able to get the latest version of sapp (possibly version 11, but pretty sure its latest) on a ubuntu server worked fine. I'll check what I used in my SAPP ubuntu tutorial video and see.

 

Regardless of all that, it still annoys me to this day that sehe is hellbent on keeping the source code private. I'd literally pay to have it released because it would help the community so much. -.-

 

Edit: Nvm I was using version 10.1

Edited by Enclusion
AntiMomentum and mouseboyx like this

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.